%global major   0.11
%define libname %mklibname cbor %major
%define devname %mklibname cbor -d

Name:		libcbor
Version:	0.11.0
Release:	%mkrel 1
Summary:	A CBOR parsing library
Group:          Development/Other

License:	MIT
URL:		https://libcbor.org/
Source0:	https://github.com/PJK/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	make

%description
libcbor is a C library for parsing and generating CBOR.

%package	-n %libname
Summary:	Library for %{name}

%description -n %libname
The %{libname} contains libraries header files for %{name}.

%package	-n %devname
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
The %{devname} contains libraries and header files for %{name}.

%prep
%setup -q


%build
%cmake
%cmake_build

make man -C doc


%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man3
cp doc/build/man/* %{buildroot}%{_mandir}/man3/


%files -n %libname
%license LICENSE.md
%doc README.md
%{_libdir}/libcbor.so.%{major}{,.*}

%files -n %devname
%{_includedir}/cbor.h
%{_includedir}/cbor
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc
%{_libdir}/cmake/libcbor/
%{_mandir}/man3/libcbor.3*



%changelog
* Sun Dec 01 2024 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2120288
- new version: 0.11.0
- now libmajor is 0.11

* Sat Feb 25 2023 daviddavid <daviddavid> 0.8.0-3.mga9
+ Revision: 1945304
- fix cmake libdir install path
- move manpages in devel sub-pkg and also should be a in man3
+ wally <wally>
- fix pkgconf .pc file install

* Wed Nov 30 2022 tv <tv> 0.8.0-2.mga9
+ Revision: 1913336
- Use modern cmake build and install
- Own include subdir

* Fri Oct 07 2022 neoclust <neoclust> 0.8.0-1.mga9
+ Revision: 1895268
- New version
+ tv <tv>
- BR doxygen

* Tue May 03 2022 tv <tv> 0.7.0-1.mga9
+ Revision: 1855616
- Add devel provides

* Tue May 03 2022 tv <tv> 0.7.0-0.1.mga9
+ Revision: 1855614
- imported package libcbor


* Tue May 03 2022 Thierry Vignaud <tv@mageia.org>  -  0.7.0-1.mga9
- Import from FC

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Sep 20 2020 Kalev Lember <klember@redhat.com> - 0.7.0-2
- Avoid hardcoding man page extension

* Mon Sep 07 2020 Attila Lakatos <alakatos@redhat.com> - 0.7.0-1
- update to 0.7.0
Resolves: rhbz#1813738
Resolves: rhbz#1863978

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-9
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 29 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.5.0-7
- Fix FTBFS, add version for soname, minor cleanups

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 19 2017 Marek Tamaskovic <mtamasko@redhat.com> 0.5.0-1
- Init package.

